com.tibbo.aggregate.common.action

## Class ServerActionContext

- java.lang.Object
- - com.tibbo.aggregate.common.action.ActionContext
  - - com.tibbo.aggregate.common.action.ServerActionContext

-     public class ServerActionContext
      extends ActionContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibbo.aggregate.common.action.ActionContext

      `ActionContext.ActionState, ActionContext.ChangeActionStateListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerActionContext(ActionDefinition actionDefinition, ServerContext context, CallerController callerController)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDefinition` | `getActionDefinition()`
    `CallerController` | `getCallerController()`
    `ServerContext` | `getDefiningContext()`
    `protected void` | `setDefiningContext(ServerContext context)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.ActionContext

      `getActionExecutionMode, getActionManager, getActionState, getBatchContext, getRequestCache, isExecutedAsDefault, setActionExecutionMode, setBatchContext, setChangeActionStateListener, setExecutedAsDefault, setRequestCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerActionContext

          public ServerActionContext(ActionDefinition actionDefinition,
                                     ServerContext context,
                                     CallerController callerController)

  - ### Method Detail

    - #### getCallerController

          public CallerController getCallerController()

      Specified by:
        `getCallerController` in class `ActionContext`

    - #### getDefiningContext

          public ServerContext getDefiningContext()

      Specified by:
        `getDefiningContext` in class `ActionContext`

    - #### getActionDefinition

          public ActionDefinition getActionDefinition()

      Overrides:
        `getActionDefinition` in class `ActionContext`

    - #### setDefiningContext

          protected void setDefiningContext(ServerContext context)